App to list/check all IOS's on a Wii?

Discussion in 'Wii - Hacking' started by pesaroso, Nov 23, 2009.

Nov 23, 2009
  1. pesaroso
    OP

    Newcomer pesaroso Advanced Member

    Joined:
    Aug 12, 2007
    Messages:
    89
    Country:
    United States
    Okay, I'll try to make this simple.

    I have two Wii's; One chipped, and a softmodded one. The chipped one is working well, booting all games, np

    The softmodded one on the other hand, is a mess. I've messed around so much on it, and I'm too confused about IOS's to go on. I need to clear some things up;

    IS there a program/wad to list all of my custom IOS's, and check to see if I have i.e. Trucha bug restored?

    Today, I went looney on my Wii and installed CIOSCorp 3.5 and IOS38 rev15 to get NSMBW working. I also followed threads like the NSMBW-thread on 195 pages, and checked around at Wiihacks etc. I installed some IOS's, but some failed.

    Here's what I mostly did:
    I've installed BootMii on boot2 and IOS.
    I updated from 4.0E to 4.2E according to the "ultimate 4.2 guide" as the sticky. However, I only managed to install the two first, the remaining 25 couldn't, due to an error (1035)
    I installed CIOSCorp 3.5 successfully
    I installed CIOS rev15 successfully
    I tried to launch "Trucha Bug Restorer 1.1", but it failed after the preperation-step. It gives an error, "ES_AddTitleStart returned -1035) and suggested an updated Downgrader. Couldn't set Revision to 0. I used the files from the über 4.2 sticky as well

    With the Nitro-version of NSMBW:
    The NSMBW will show up in Disc Channel, but it'll reboot
    The Neogamma R8 rev15 will do the same.

    The BAHAMUT-version with the dol-fix:
    Same thing on Neogamma
    Disc channel gives "System Update", I guess I didn't update it to 4.2E properly, ey?


    Soo, if anyone could point me into a direction on how to either start over, and list the ones I have to take it from there, that would've been great!

    Of course, if there's someone out there who is really willing to help buy quoting me and commenting on the things I've done (Like "installed CIOSCorp 3.5 [you idiot!]", that would've been swell!
     
  2. zeedds

    Member zeedds GBAtemp Regular

    Joined:
    Mar 17, 2009
    Messages:
    115
    Country:
    United States
    that post should b added to the list of things not to do [​IMG]
     
  3. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    If you installed cIOSCORP, that is basically what all of your official IOS's were turned to. Other than that you probably just have cIOS rev15 as IOS249, and if you ever installed Hermes' cIOS you would have that on IOS222/223 or both.

    All of your IOS's have the trucha bug with the cIOSCORP IOS's as well as your normal cIOS on IOS249. Using the Trucha Bug Restorer after having it on everything is worthless and most likely didnt work at all due to cIOSCORP.

    As for getting NSMB to work, I'm not really sure since I just have a legit copy myself, but nothing worked from the OP on this thread for you?
     
  4. pesaroso
    OP

    Newcomer pesaroso Advanced Member

    Joined:
    Aug 12, 2007
    Messages:
    89
    Country:
    United States
    Thanks for your tip, nabster92, but I've already checked the thread. For CIOSCorp-users, it stated it should be enough with the 3.5 CIOSCorp to play SMBW, but it's not :/

    Or did I miss anything? It also mentions some DIP'd IOS's, but states "you'll find those in cIOSCorp 3.5", so..

    But still, no luck. The patched iso reboots in Neogamma R8 rev15, but a strange thing is that it asks for an update, since I haven't removed the update..

    I thought that was what I did when I updated to 4.2E? Still, I couldn't apply the 25 IOS's after the system menu, so maybe I'm some files out.. gah!
     
  5. xzxero

    Member xzxero ♥bong milk does good for the brain♥

    Joined:
    Jul 18, 2008
    Messages:
    3,831
    Location:
    SB
    Country:
    United States
    it is enough to play NSMB with the patch

    cIOS53-v5149-v3.5.wad is the IOS53 you wad need

    and

    cIOS70-v5149-v3.5.wad is your SM 4.2 IOS

    if you installed cIOScorp 3.5 then they installed during then.
     
  6. pesaroso
    OP

    Newcomer pesaroso Advanced Member

    Joined:
    Aug 12, 2007
    Messages:
    89
    Country:
    United States
    Hmm, I patched the game, but it asks me for an update in disc channel. Is that a bad sign? I couldn't install other IOS's than the menu when I upgraded to 4.2E.. It showed my Wii as 4.2E later, so I thought "fuckit", but.. Will it ask for update if I upgraded properly?

    Why did I phail on installing the 4.2E IOS's in the first place? :/
     

Share This Page